routes/web.php
<?php

use Illuminate\Support\Facades\Route;


/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', [App\Http\Controllers\HomeController::class, 'index']);
Route::any('json/data',[App\Http\Controllers\SiswaController::class, 'getListKota'])->name('json.data');

Route::group(['prefix' => 'siswa', 'as' => 'siswa.'], function () {
    Route::get('/',[App\Http\Controllers\SiswaController::class, 'index']);
    Route::get('/json',[App\Http\Controllers\SiswaController::class, 'getSiswa'])->name('json');
    Route::get('/tambah',[App\Http\Controllers\SiswaController::class, 'create'])->name('tambah');
    Route::post('/simpan',[App\Http\Controllers\SiswaController::class, 'store'])->name('simpan');
    Route::get('/edit/{id}',[App\Http\Controllers\SiswaController::class, 'edit'])->name('edit');
    Route::get('/detail/{id}',[App\Http\Controllers\SiswaController::class, 'show'])->name('detail');
    Route::get('/update/{id}',[App\Http\Controllers\SiswaController::class, 'update'])->name('update');
    Route::get('/hapus/{id}',[App\Http\Controllers\SiswaController::class, 'destroy'])->name('hapus');
});

Route::group(['prefix' => 'kecamatan', 'as' => 'kecamatan.'], function () {
    Route::get('/',[App\Http\Controllers\KecamatanController::class, 'index']);
    Route::get('/json',[App\Http\Controllers\KecamatanController::class, 'getKecamatan'])->name('json');
    Route::get('/tambah',[App\Http\Controllers\KecamatanController::class, 'create'])->name('tambah');
    Route::post('/simpan',[App\Http\Controllers\KecamatanController::class, 'store'])->name('simpan');
    Route::get('/edit/{id}',[App\Http\Controllers\KecamatanController::class, 'edit'])->name('edit');
    Route::get('/detail/{id}',[App\Http\Controllers\KecamatanController::class, 'show'])->name('detail');
    Route::get('/update/{id}',[App\Http\Controllers\KecamatanController::class, 'update'])->name('update');
    Route::get('/hapus/{id}',[App\Http\Controllers\KecamatanController::class, 'destroy'])->name('hapus');
});

Route::group(['prefix' => 'kotaKab', 'as' => 'kotaKab.'], function () {
    Route::get('/',[App\Http\Controllers\KotaKabController::class, 'index']);
    Route::get('/json',[App\Http\Controllers\KotaKabController::class, 'getKotaKab'])->name('json');
    Route::get('/tambah',[App\Http\Controllers\KotaKabController::class, 'create'])->name('tambah');
    Route::post('/simpan',[App\Http\Controllers\KotaKabController::class, 'store'])->name('simpan');
    Route::get('/edit/{id}',[App\Http\Controllers\KotaKabController::class, 'edit'])->name('edit');
    Route::get('/detail/{id}',[App\Http\Controllers\KotaKabController::class, 'show'])->name('detail');
    Route::get('/update/{id}',[App\Http\Controllers\KotaKabController::class, 'update'])->name('update');
    Route::get('/hapus/{id}',[App\Http\Controllers\KotaKabController::class, 'destroy'])->name('hapus');
});

resources/views/kota/detail.blade.php
@extends('layouts.app')

@section('content')
<div class="container">
    <div class="row justify-content-center">
        <div class="col-md-11">
            @if (Session::has('after_save'))
            <div class="col-md-12" style="margin-top:20px;">
                <div class="alert alert-xs alert-dismissible mx-3 alert-{{ Session::get('after_save.alert') }}">
                    <button type="button" class="btn btn-outline-success close m-0 " data-dismiss="alert">x</button>
                    <strong>{{ Session::get('after_save.title') }}</strong>
                    <a href="javascript:void(0)" class="alert-link">{{ Session::get('after_save.text-1') }}</a> {{
                    Session::get('after_save.text-2') }}
                </div>
            </div>
            @endif
            <div class="d-flex justify-content-between mb-3 align-items-center">
                <div class="flex-column">
                    <h2 class="mb-0">Detail Kota</h2>
                    <ol class="breadcrumb mb-0">
                        @foreach (explode('.',$url) as $p)
                        <li class="breadcrumb-item"><a href="#" @if ($loop->last)
                                class='text-warning'
                                @endif>{{$p}}</a></li>
                        @endforeach
                    </ol>
                </div>
                <a class="btn btn-sm btn-primary align-items-center d-flex h-50 rounded-5" href="javascripy:void(0)"><i
                        class="bi-calendar-fill p-0" style="font-size: 15px"></i><span>{{$date}}</span></a>
            </div>
            <div class="card">
                <div class="card-body">
                    @if (session('status'))
                    <div class="alert alert-success" role="alert">
                        {{ session('status') }}
                    </div>
                    @endif
                    <form>
                        @csrf
                        <div class="row">
                            <div>
                                <div class="w-100">
                                    <div class="form-group col-12 my-2">
                                        <label for="id">id Kota/Kabupaten</label>
                                        <div class="input-group">
                                            <input type="text" name="id" id="name" class="form-control" placeholder=""
                                                value="{{$kotaKab->id_kotaKab}}" readonly>
                                        </div>
                                    </div>
                                    <div class="form-group col-12 my-2">
                                        <label for="name">Nama Kota/Kabupaten</label>
                                        <div class="input-group">
                                            <input type="text" name="name" id="name" class="form-control"
                                                placeholder="Masukkan Nama Kota/Kabupaten" value="{{$kotaKab->nama}}"
                                                readonly>
                                        </div>
                                    </div>
                                    <div class="d-flex col-12 align-items-center">
                                        <div class="col-12 d-flex form-row justify-content-end align-items-center mt-4">
                                            <a href="/kotaKab" class="btn btn-danger mx-2">Kembali</a>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>
@endsection

@push('scripts')
<script src="{{ asset('assets') }}/login/jquery-2.2.3.min.js"></script>
<!-- Bootstrap 3.3.6 -->
<script src="{{ asset('assets') }}/libs/bootstrap/dist/js/bootstrap.min.js"></script>
@endpush

resources/views/kota/edit.blade.php
@extends('layouts.app')

@section('content')
<div class="container">
    <div class="row justify-content-center">
        <div class="col-md-11">
            @if (Session::has('after_save'))
            <div class="col-md-12" style="margin-top:20px;">
                <div class="alert alert-xs alert-dismissible mx-3 alert-{{ Session::get('after_save.alert') }}">
                    <button type="button" class="btn btn-outline-success close m-0 " data-dismiss="alert">x</button>
                    <strong>{{ Session::get('after_save.title') }}</strong>
                    <a href="javascript:void(0)" class="alert-link">{{ Session::get('after_save.text-1') }}</a> {{
                    Session::get('after_save.text-2') }}
                </div>
            </div>
            @endif
            <div class="d-flex justify-content-between mb-3 align-items-center">
                <div class="flex-column">
                    <h2 class="mb-0">Edit Kota</h2>
                    <ol class="breadcrumb mb-0">
                        @foreach (explode('.',$url) as $p)
                        <li class="breadcrumb-item"><a href="#" @if ($loop->last)
                                class='text-warning'
                                @endif>{{$p}}</a></li>
                        @endforeach
                    </ol>
                </div>
                <a class="btn btn-sm btn-primary align-items-center d-flex h-50 rounded-5" href="javascripy:void(0)"><i
                        class="bi-calendar-fill p-0" style="font-size: 15px"></i><span>{{$date}}</span></a>
            </div>
            <div class="card">
                <div class="card-body">
                    @if (session('status'))
                    <div class="alert alert-success" role="alert">
                        {{ session('status') }}
                    </div>
                    @endif
                    <form action="/kotaKab/update/{{$kotaKab->id_kotaKab}}" method="PUT">
                        @csrf
                        <div class="row">
                            <div>
                                <div class="w-100">
                                    <div class="form-group col-12 my-2">
                                        <label for="id">id Kota/Kabupaten</label>
                                        <div class="input-group">
                                            <input type="text" name="id" id="name" class="form-control" placeholder=""
                                                value="{{$kotaKab->id_kotaKab}}" readonly>
                                        </div>
                                    </div>
                                    <div class="form-group col-12 my-2">
                                        <label for="name">Nama Kota/Kabupaten</label>
                                        <div class="input-group">
                                            <input type="text" name="name" id="name" class="form-control"
                                                placeholder="Masukkan Nama Kota/Kabupaten" value="{{$kotaKab->nama}}">
                                        </div>
                                    </div>
                                    <div class="d-flex col-12 align-items-center">
                                        <div class="col-12 d-flex form-row justify-content-end align-items-center mt-4">
                                            <a href="/kotaKab" class="btn btn-danger mx-2">Kembali</a>
                                            <button type="submit" class="btn btn-success mx-0"
                                                value="submit">Simpan</button>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>
@endsection

@push('scripts')
<script src="{{ asset('assets') }}/login/jquery-2.2.3.min.js"></script>
<!-- Bootstrap 3.3.6 -->
<script src="{{ asset('assets') }}/libs/bootstrap/dist/js/bootstrap.min.js"></script>
@endpush

resources/views/kota/index.blade.php
@extends('layouts.app')

@section('content')
<div class="container">
    <div class="row justify-content-center">
        <div class="col-md-11">
            @if (Session::has('after_save'))
            <div class="col-md-12" style="margin-top:20px;">
                <div class="alert alert-xs alert-dismissible mx-3 alert-{{ Session::get('after_save.alert') }}">
                    <button type="button" class="btn btn-outline-success close m-0 " data-dismiss="alert">x</button>
                    <strong>{{ Session::get('after_save.title') }}</strong>
                    <a href="javascript:void(0)" class="alert-link">{{ Session::get('after_save.text-1') }}</a> {{
                    Session::get('after_save.text-2') }}
                </div>
            </div>
            @endif
            <div class="d-flex justify-content-between mb-3 align-items-center">
                <div class="flex-column">
                    <h2 class="mb-0">Daftar Kota</h2>
                    <ol class="breadcrumb mb-0">
                        @foreach (explode('.',$url) as $p)
                        <li class="breadcrumb-item"><a href="#" @if ($loop->last)
                                class='text-warning'
                                @endif>{{$p}}</a></li>
                        @endforeach
                    </ol>
                </div>
                <a class="btn btn-sm btn-primary align-items-center d-flex h-50 rounded-5"
                    href="{{route('kotaKab.tambah') }}"><i class="bi-plus p-0" style="font-size: 15px"></i><span>Tambah
                        Data</span></a>
            </div>
            <div class="card">
                <div class="card-body">
                    <table class="table my-3 mx-0 w-100" id="tabel-kota">
                        <thead class="text-white thead text-center">
                            <tr>
                                <th id="headTable">Id Kota/Kabupaten</th>
                                <th id="headTable">Kota/Kabupaten</th>
                                <th id="headTable">Aksi</th>
                            </tr>
                        </thead>
                        <tbody class="text-dark text-center">
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
</div>
@endsection
@push('scripts')

<script type="text/javascript">
    $(document).ready(function(){
        renderDataTable();
    });
    function renderDataTable(){
        $('#tabel-kota').DataTable({
            pagingType: "full_numbers",
            lengthMenu: [[ 5, 15, 25, 100, -1 ], [ 5, 15, 25, 100, "All" ]],
            processing:true,
            serverSide:true,
            ajax:'{{ route("kotaKab.json") }}',
            columns:[
                    {
                        data:'id_kotaKab',
                        name:'id_kotaKab'
                    },
                    {
                        data:'nama',
                        name:'nama'
                    },
                    {
                        data:'action',
                        name:'action'
                    },
            ]
        })
    };
</script>

@endpush

resources/views/kota/tambah.blade.php
@extends('layouts.app')

@section('content')
<div class="container">
    <div class="row justify-content-center">
        <div class="col-md-11">
            @if (Session::has('after_save'))
            <div class="col-md-12" style="margin-top:20px;">
                <div class="alert alert-xs alert-dismissible mx-3 alert-{{ Session::get('after_save.alert') }}">
                    <button type="button" class="btn btn-outline-success close m-0 " data-dismiss="alert">x</button>
                    <strong>{{ Session::get('after_save.title') }}</strong>
                    <a href="javascript:void(0)" class="alert-link">{{ Session::get('after_save.text-1') }}</a> {{
                    Session::get('after_save.text-2') }}
                </div>
            </div>
            @endif
            <div class="d-flex justify-content-between mb-3 align-items-center">
                <div class="flex-column">
                    <h2 class="mb-0">Tambah Data</h2>
                    <ol class="breadcrumb mb-0">
                        @foreach (explode('.',$url) as $p)
                        <li class="breadcrumb-item"><a href="#" @if ($loop->last)
                                class='text-warning'
                                @endif>{{$p}}</a></li>
                        @endforeach
                    </ol>
                </div>
                <a class="btn btn-sm btn-primary align-items-center d-flex h-50 rounded-5" href="javascripy:void(0)"><i
                        class="bi-calendar-fill p-0" style="font-size: 15px"></i><span>{{$date}}</span></a>
            </div>
            <div class="card">
                <div class="card-body">
                    @if (session('status'))
                    <div class="alert alert-success" role="alert">
                        {{ session('status') }}
                    </div>
                    @endif
                    <form action="{{url('/kotaKab/simpan')}}" method="POST">
                        @csrf
                        <div class="row">
                            <div class="form-group col-12 my-2">
                                <label for="name">Nama Kota/Kabupaten</label>
                                <div class="input-group">
                                    <input type="text" name="name" id="name" class="form-control"
                                        placeholder="Masukkan Nama Kota/Kabupaten" required>
                                </div>
                            </div>
                            <div class="col-12 d-flex form-row justify-content-end align-items-center mt-4">
                                <a href="/Manajemen-karyawan/List-karyawan" class="btn btn-danger mx-2">Batal</a>
                                <button type="submit" class="btn btn-success mx-0" value="submit">Simpan</button>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>
@endsection

@push('scripts')
<script src="{{ asset('assets') }}/login/jquery-2.2.3.min.js"></script>
<!-- Bootstrap 3.3.6 -->
<script src="{{ asset('assets') }}/libs/bootstrap/dist/js/bootstrap.min.js"></script>

<script>
</script>
@endpush